## xppaut 5.85

=== Makefile ===
# Copyright (C) 1990-2002 Bard Ermentrout
# Edited for Debian GNU/Linux.
DESTDIR =
BINDIR = $(DESTDIR)/usr/X11R6/bin
DOCDIR = $(DESTDIR)/usr/share/doc/xppaut
# End Debian Edit
#################################
#
VERSION=5.85
ODES=ode/*.ode ode/*.ani
DOC=xpp_doc.ps xpp_doc.pdf xpp_sum.ps xpp_sum.pdf install.pdf
HELP=help/*.html
# Standard C compiler
#CC= cc
# Use Gnu compiler
CC= gcc
AUTLIBS= -lf2c -lX11 -lm 
OTHERLIBS= libcvode.a libf2cm.a 
#
################################## 
# Standard Linux distributions   #
##################################
CFLAGS=   -g -O -DAUTO -DCVODE_YES -DHAVEDLL -DMYSTR=$(VERSION)  -I/usr/X11R6/include
LDFLAGS=  -L/usr/X11R6/lib
LIBS= -lX11 -lm -ldl 
# NOTE: Recent (RedHat 8) versions of GCC seem to no longer have
# the integer errno, so compile with the -DNOERRNO option as well
#
# some errors with ctype on newer machines HP ITANIUM, eg can be fixed
# with the -DWCTYPE 
#
#################################
# MACOSX                        #
#################################
# CFLAGS=   -g -O -DMACOSX -DAUTO -DCVODE_YES  -DMYSTR=$(VERSION) -I/usr/X11R6/include
# LIBS=  -lX11 -lm
# LDFLAGS=  -L/usr/X11R6/lib
#
#################################
# CYGWIN                        #
#################################
# CFLAGS=   -O -DBGR -DNORAND48 -DSTRUPR -DNOERRNO -DAUTO -DCVODE_YES -DMYSTR=$(VERSION)  -I/usr/X11R6/include
#LIBS= -lX11 -lm
#LDFLAGS= -L/usr/X11R6/lib 
#
#################################
# SPARC                         #
#################################
# CFLAGS=  -O -DAUTO  -DMYSTR=$(VERSION)  -DCVODE_YES -I/usr/openwin/include 
# LDFLAGS= -L/usr/openwin/lib
# LIBS= -lm -lX11 
#
################################
# SUNPro compiler              #
################################
# CFLAGS=  -O -DSUNPRO -DAUTO -DCVODE_YES  -I/usr/openwin/include
# LDFLAGS= -L/usr/openwin/lib
# LIBS= -lm -lX11 
#
################################
# SGI                          #
################################
#CFLAGS=   -g -O -DAUTO -DCVODE_YES  -DMYSTR=$(VERSION) -I/usr/X11R6/include
#  Old SGIs without gcc
# 
#CFLAGS= -cckr -O -DAUTO -DMYSTR=$(VERSION) -DCVODE_YES
# LDFLAGS=  -L/usr/X11R6/lib
# LIBS= -lm -lX11 
#
###############################
# HP                          #
###############################
#CFLAGS=   -g -O -DAUTO -DMYSTR=$(VERSION) -DCVODE_YES  -DHAVEDLL -I/usr/X11R6/include
# LDFLAGS=  -L/usr/X11R6/lib
# LIBS= -lm -lX11 -ldl
#
###############################
# DEC OSF                     #
###############################
#
#CFLAGS= -O -DAUTO -DCVODE_YES -DMYSTR=$(VERSION) -Olimit 1000
#
###############################################################  
#             You  can stop messing with it now, the rest is
#             probably OkeyDokey
###############################################################
HEADERS = browse.h form_ode.h gear.h help_defs.h my_pars.h \
	  newhome.h numerics.h odesol.h parser.h phsplan.h \
	  shoot.h struct.h volterra.h auto_define.h xpplim.h \
	  mykeydef.h newpars.h myfonts.h f2c.h menus.h toons.h \
          parserslow.h dormpri.h fftn.h autlim.h menudrive.h \
          getvar.h kbs.h macdirent.h macsysdirent.h
BITMAPS = bc.bitmap browse.bitmap delay.bitmap eqns.bitmap\
	   equilib.bitmap graph.bitmap ic.bitmap array.bitmap\
	   param.bitmap pp.bitmap auto.bitmap aniwin.bitmap \
	   txtview.bitmap 
SOURCES = main.c ggets.c menu.c rubber.c derived.c init_condold.c \
	  many_pops.c pop_list.c graphics.c dialog_box.c \
	  numerics.c choice_box.c color.c init_conds.c \
	  browse.c kinescope.c  axes2.c abort.c \
           parser2.c storage.c load_eqn.c lunch-new.c \
	  form_ode.c odesol2.c gear.c eig_list.c \
	  integrate.c delay_handle.c graf_par.c\
	  my_ps.c nullcline.c torus.c pp_shoot.c\
	  lunch.c calc.c adj2.c  my_rhs.c dormpri.c\
          volterra2.c tabular.c markov.c histogram.c \
	autlib1.c autlib2.c autlib3.c autevd.c run_auto.c autpp.c \
	diagram.c auto.c flowkm.c comline.c edit_rhs.c do_fit.c \
	flags.c del_stab.c stiff.c arrayplot.c array_print.c \
	aniparse.c simplenet.c dae_fun.c read_dir.c  parserslow2.c \
        kinescope_old.c fftn.c  extra.c funexample.c scrngif.c \
        kinescope_avi.c aniparse_avi.c  nagroutines.c flowkm_small.c \
        homsup.c txtread.c menudrive.c rtsafe.c vector.c userbut.c \
        lbf_drive.c auto_nox.c auto_x11.c cli.c
OBJECTS = main.o ggets.o menu.o  rubber.o derived.o\
	many_pops.o  pop_list.o  graphics.o dialog_box.o \
	numerics.o choice_box.o color.o init_conds.o \
        browse.o kinescope.o axes2.o abort.o \
        parser2.o storage.o load_eqn.o\
	form_ode.o odesol2.o gear.o eig_list.o\
        integrate.o delay_handle.o graf_par.o dormpri.o\
	my_ps.o nullcline.o torus.o pp_shoot.o \
	lunch-new.o calc.o adj2.o  my_rhs.o read_dir.o\
        volterra2.o tabular.o markov.o histogram.o \
	comline.o edit_rhs.o do_fit.o flags.o del_stab.o stiff.o \
        arrayplot.o array_print.o aniparse.o simplenet.o dae_fun.o \
        fftn.o extra.o scrngif.o nagroutines.o homsup.o txtread.o \
        menudrive.o userbut.o 
LIB_OBJECTS = main.o ggets.o menu.o  rubber.o derived.o\
	many_pops.o  pop_list.o  graphics.o dialog_box.o \
	numerics.o choice_box.o color.o init_conds.o \
        browse.o kinescope.o axes2.o abort.o \
        parser2.o storage.o load_eqn.o\
	form_ode.o odesol2.o gear.o eig_list.o\
        integrate.o delay_handle.o graf_par.o dormpri.o\
	my_ps.o nullcline.o torus.o pp_shoot.o \
	lunch-new.o calc.o adj2.o read_dir.o\
        volterra2.o tabular.o markov.o histogram.o \
	comline.o edit_rhs.o do_fit.o flags.o del_stab.o stiff.o \
        arrayplot.o array_print.o aniparse.o simplenet.o dae_fun.o \
         fftn.o extra.o scrngif.o nagroutines.o homsup.o txtread.o \
        menudrive.o userbut.o 
AUTOOBJ = autlib1.o autlib2.o autlib3.o autevd.o run_auto.o autpp.o \
	diagram.o auto_nox.o auto_x11.o flowkm_small.o 
######################################################################
#
#
xppaut: mkI77 mkcvode   $(OBJECTS) $(AUTOOBJ)
#
###########################################################
# Okay, here we go
#############################################
	$(CC) -DAUTO -o xppaut $(OBJECTS) $(AUTOOBJ) $(LDFLAGS) $(OTHERLIBS)  $(LIBS) 	
########################################################
########################################################
# Probably never need this but here it is
###########################################################
##  shared library method - delete my_fun.o from OBJECTS
#	$(CC) -DAUTO -o xppaut $(OBJECTS) $(AUTOOBJ) $(LDFLAGS) libcvode.a libf2cm.a libmyfun.so $(LIBS) 	
####  You made your own libraries but installed locally (2)
#	$(CC) -DAUTO -o xppaut $(OBJECTS) $(AUTOOBJ) $(LDFLAGS) libcvode.a libI77.a libF77.a $(LIBS) 	
##
####  You have previously installed the f2c libraries
#	$(CC) -DAUTO -o xppaut $(OBJECTS) $(AUTOOBJ) $(LDFLAGS) libcvode.a $(AUTLIBS) 
#   
# 
###################################################################
################################################################
mkmyfun:
	make -f Makefile.lib
mkI77:
	cd libI77 ; make
mkcvode:
	cd cvodesrc ; make
mkmkavi:
	cd mkavi ; make
#
# Edited for Debian GNU/Linux.
install: xppaut 
# Make necessary installation directories
	mkdir -p $(BINDIR)
	mkdir -p $(DOCDIR)/html
	mkdir -p $(DOCDIR)/examples
	mkdir -p $(DESTDIR)/usr/X11R6/man/man1
# Put everything home
	strip xppaut
	cp xppaut $(BINDIR)
	cp -r ode* $(DOCDIR)/examples
	cp -r help/* $(DOCDIR)/html
	cp README *.pdf $(DOCDIR) 
	cp xppaut.1 $(DESTDIR)/usr/X11R6/man/man1
# End Debian Ed
uninstall: 
# Remove everything you created
	rm $(BINDIR)/xppaut
	rm -r $(DOCDIR)
	rm -r $(DESTDIR)/usr/X11R6/man/man1/xppaut.1
# End Debian Ed
##################################################
#    Make s stand alone library -must link your rhs
###################################################
xpplib: $(LIB_OBJECTS) $(AUTOOBJ)
	(ar rcv libxpp.a $(LIB_OBJECTS) $(AUTOOBJ) cvodesrc/*.o libI77/*.o ; ranlib libxpp.a)
####################################################
#  tar file
####################################################
tarfile:
	tar cvf xppaut$(VERSION).tar $(SOURCES) $(AUTOSRC) $(HEADERS) $(BITMAPS) default.opt \
	 xpp_doc.tex README Makefile  Makefile.lib Makefile.avi Makefile.old\
	ode/*.* xpp_doc.ps xpp_doc.pdf xpp_sum.tex xpp_sum.pdf xpp_sum.ps nullcline_bw.c  \
        libI77/*.c libI77/*.h libI77/Makefile \
	cvodesrc/*.c cvodesrc/*.h cvodesrc/Makefile xppaut.1\
        mkavi/*.cc mkavi/*.h mkavi/Makefile mkavi/drive.c help/*.html \
	help/odes/*.ode help/odes/*.c install.pdf install.tex LICENSE HISTORY
	gzip xppaut$(VERSION).tar 
##############################################
#  pack up a binary
##############################################
binary:
	strip xppaut;tar zvcf binary.tgz xppaut xppaut.1 $(ODES) $(DOC) $(HELP) README HISTORY LICENSE
##############################################
#  clean
##############################################
clean:
	rm *.o;rm libI77/*.o;rm cvodesrc/*.o
#######################################################
#  Documentation
#######################################################
xppdoc:     
	 latex xpp_doc
	 latex xpp_doc
	 latex xpp_doc		
	 dvips -o xpp_doc.ps  xpp_doc
	 ps2pdf xpp_doc.ps
	 latex xpp_sum
	 latex xpp_sum
	 dvips -o xpp_sum.ps  xpp_sum
	  ps2pdf xpp_sum.ps

=== cvodesrc/Makefile ===
#----------------------------------------------------------------------------
#                                CVODE                                      
#----------------------------------------------------------------------------
#
# If the ranlib utility is not available on your system, then remove the call
# to ranlib from the commands to create lib/libcvode.a.
.SUFFIXES: .c .o
CC = gcc
CFLAGS = -O

SRCS = cvode.c  cvdense.c  dense.c  cvband.c \
        band.c  cvdiag.c  cvspgmr.c  spgmr.c  \
        iterativ.c  vector.c  llnlmath.c cv2.c
OBJS =  cvode.o  cvdense.o  dense.o  cvband.o \
        band.o  cvdiag.o  cvspgmr.o  spgmr.o  \
        iterativ.o  vector.o  llnlmath.o cv2.o


.c.o:
	$(CC) $(CFLAGS) -c $*.c

lib libcvode.a: $(OBJS)
	        (ar rcv libcvode.a $(OBJS); ranlib libcvode.a ; cp libcvode.a ../.)

# If you dont have ranlib, use this
#
#lib libcvode.a: $(OBJS)
#	        (ar rcv libcvode.a $(OBJS); cp libcvode.a ../.)
#

=== libI77/Makefile ===
.SUFFIXES: .c .o
CC = gcc
#CFLAGS = -DSkip_f2c_Undefs -O
#  NOTE !!
#  If you get some sort of error that is along the lines of
#    
#  wsfe.c: In function `x_putc':
#  wsfe.c:42: structure has no member named `_ptr'
#   ...
#  Then try the following:
CFLAGS = -DSkip_f2c_Undefs -DNON_UNIX_STDIO -O
#
# I really don't know what the $!@@**! is going on but it works ...
#
# some probs with ctype on newer machines can be fixed
# with the -DWCTYPE 
#
# this seems to work fine and is much less subject to
# screwups
.c.o:
	$(CC) $(CFLAGS) -c $*.c
#
# 
# compile, then strip unnecessary symbols
#.c.o:
#	$(CC) $(CFLAGS) -c $*.c
#	ld -r -x $*.o
#	mv a.out $*.o
#
#  NOTE !!
# if you have SUN Loader or sometimes others, eliminate -x in the above
# and it should work
#

OBJ =	Version.o backspace.o dfe.o due.o iio.o inquire.o rewind.o rsfe.o \
	rdfmt.o sue.o uio.o wsfe.o sfe.o fmt.o lio.o lread.o open.o \
	close.o util.o endfile.o wrtfmt.o wref.o err.o fmtlib.o rsne.o wsne.o \
        fc77.o f2cstart.o
######################################################
#  use this if you do have ranlib                    #
######################################################
#
libI77.a:	$(OBJ)
		ar r libf2cm.a $?
		ranlib libf2cm.a
		cp libf2cm.a ../.
######################################################
#  use this if you do not have ranlib                #
######################################################
#
#libI77.a:	$(OBJ)
#		ar r libf2cm.a $?
#		cp libf2cm.a ../.
########################################################
# whatever the problem is, it wont be found below here #
########################################################

lio.o:	lio.h
SRC=	lio.h fio.h fmt.h backspace.c dfe.c due.c iio.c inquire.c rewind.c \
	rsfe.c rdfmt.c sue.c uio.c wsfe.c sfe.c fmt.c lio.c lread.c open.c \
	close.c util.c endfile.c wrtfmt.c wref.c err.c fmtlib.c fc77.c f2cstart.c 

Version.o: Version.c
	$(CC) -c Version.c

backspace.o:  fio.h
close.o:  fio.h
dfe.o:  fio.h
dfe.o:  fmt.h
due.o:  fio.h
endfile.o:  fio.h
err.o:  fio.h
fmt.o:  fio.h
fmt.o:  fmt.h
ftest.o:  fio.h
iio.o:  fio.h
iio.o:  fmt.h
inquire.o:  fio.h
lib.o:  fio.h
lio.o:  fio.h
lio.o:  fmt.h
lio.o:  lio.h
lread.o:  fio.h
lread.o:  fmt.h
lread.o:  lio.h
lread.o:  fp.h
nio.o:  fio.h
nio.o:  fmt.h
nio.o:  lio.h
open.o:  fio.h
rdfmt.o:  fio.h
rdfmt.o:  fmt.h
rdfmt.o:  fp.h
rewind.o:  fio.h
rsfe.o:  fio.h
rsfe.o:  fmt.h
rsne.o: fio.h lio.h
sfe.o:  fio.h
stest.o:  fio.h
sue.o:  fio.h
uio.o:  fio.h
util.o:  fio.h
wref.o:  fio.h fmt.h fp.h
wrtfmt.o:  fio.h
wrtfmt.o:  fmt.h
wsfe.o:  fio.h
wsfe.o:  fmt.h
wsne.o: fio.h lio.h

check:
	xsum README Version.c backspace.c close.c dfe.c due.c \
	endfile.c err.c fio.h fmt.c fmt.h fmtlib.c fp.h iio.c \
	inquire.c lio.c lio.h lread.c makefile open.c rdfmt.c \
	rewind.c rsfe.c rsne.c sfe.c sue.c uio.c util.c wref.c \
	wrtfmt.c wsfe.c wsne.c >zap
	cmp zap libI77.xsum && rm zap || diff libI77.xsum zap

=== mkavi/Makefile ===
SRCS = mkavi.cc ppm.cc chunk.cc codec.cc avi.cc
CC = gcc
C++FLAGS=  -O2 -Wall
OBJS = mkavi.o ppm.o chunk.o codec.o avi.o
.cc.o:
	g++ $(C++FLAGS) -c $*.cc

lib libmkavi.a: $(OBJS)
	        (ar rcv libmkavi.a $(OBJS);cp libmkavi.a ../.  )

avi mkavi: libmkavi.a drive.o
	gcc -o mkavi drive.o libmkavi.a -lstdc++
tarfile:
	tar zcf mkavi.tar.gz $(SRCS) *.h Makefile drive.c
clean: 
	rm *.o

## xppaut 5.98

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 1990-2002 Bard Ermentrout
+# Copyright (C) 1990-2006 Bard Ermentrout
 # Edited for Debian GNU/Linux.
 DESTDIR =
 BINDIR = $(DESTDIR)/usr/X11R6/bin
@@ -6,7 +6,7 @@
 # End Debian Edit
 #################################
 #
-VERSION=5.85
+VERSION=5.98
 ODES=ode/*.ode ode/*.ani
 DOC=xpp_doc.ps xpp_doc.pdf xpp_sum.ps xpp_sum.pdf install.pdf
 HELP=help/*.html
@@ -20,21 +20,26 @@
 ################################## 
 # Standard Linux distributions   #
 ##################################
-CFLAGS=   -g -O -DAUTO -DCVODE_YES -DHAVEDLL -DMYSTR=$(VERSION)  -I/usr/X11R6/include
-LDFLAGS=  -L/usr/X11R6/lib
-LIBS= -lX11 -lm -ldl 
+#CFLAGS=   -g -O -DAUTO -DCVODE_YES -DHAVEDLL -DMYSTR=$(VERSION)  -I/usr/X11R6/include
+#CFLAGS=   -g -O -DAUTO -DCVODE_YES  -DHAVEDLL -DMYSTR=$(VERSION)  -I/usr/X11R6/include
+#LDFLAGS=  -L/usr/X11R6/lib
+#LIBS= -lX11 -lm -ldl 
 # NOTE: Recent (RedHat 8) versions of GCC seem to no longer have
 # the integer errno, so compile with the -DNOERRNO option as well
 #
 # some errors with ctype on newer machines HP ITANIUM, eg can be fixed
 # with the -DWCTYPE 
 #
+#   64 Bit machines must use a different parser code.
+#   In the OBJECTS section, replace parser2.o with parserslow2.o
+# it is not really that much slower so don't have a cow
+#
 #################################
 # MACOSX                        #
 #################################
-# CFLAGS=   -g -O -DMACOSX -DAUTO -DCVODE_YES  -DMYSTR=$(VERSION) -I/usr/X11R6/include
-# LIBS=  -lX11 -lm
-# LDFLAGS=  -L/usr/X11R6/lib
+CFLAGS=   -g -O -DMACOSX -DAUTO -DCVODE_YES  -DMYSTR=$(VERSION) -I/usr/X11R6/include
+LIBS=  -lX11 -lm
+LDFLAGS=  -L/usr/X11R6/lib
 #
 #################################
 # CYGWIN                        #
@@ -112,6 +117,10 @@
         kinescope_avi.c aniparse_avi.c  nagroutines.c flowkm_small.c \
         homsup.c txtread.c menudrive.c rtsafe.c vector.c userbut.c \
         lbf_drive.c auto_nox.c auto_x11.c cli.c
+#
+# WARNING: For 64 bit machines replace parser2.o with parserslow2.o 
+#          in the OBJECTS section!
+#
 OBJECTS = main.o ggets.o menu.o  rubber.o derived.o\
 	many_pops.o  pop_list.o  graphics.o dialog_box.o \
 	numerics.o choice_box.o color.o init_conds.o \
@@ -211,7 +220,8 @@
         libI77/*.c libI77/*.h libI77/Makefile \
 	cvodesrc/*.c cvodesrc/*.h cvodesrc/Makefile xppaut.1\
         mkavi/*.cc mkavi/*.h mkavi/Makefile mkavi/drive.c help/*.html \
-	help/odes/*.ode help/odes/*.c install.pdf install.tex LICENSE HISTORY
+	help/odes/*.ode help/odes/*.c install.pdf install.tex LICENSE HISTORY \
+	Makefile.s2x sbml2xpp.c 
 	gzip xppaut$(VERSION).tar 
 ##############################################
 #  pack up a binary
@@ -222,7 +232,7 @@
 #  clean
 ##############################################
 clean:
-	rm *.o;rm libI77/*.o;rm cvodesrc/*.o
+	rm -f *.o *.a  libI77/*.o libI77/*.a cvodesrc/*.o cvodesrc/*.a xppaut
 #######################################################
 #  Documentation
 #######################################################

## xppaut 6.11b%2B1.dfsg

=== debian/changelog ===
xppaut (6.11b+1.dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957996)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 16 Dec 2020 18:12:16 +0000

xppaut (6.11b+1.dfsg-1) unstable; urgency=low

  [ Jakub Nowacki ]
  * New upstream release; cleaned (DFSG) version

  [ Yaroslav Halchenko ]
  * debian/control: placed into 'science' section due to better fit
  * debian/copyright: added copyright information on debian/* content

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 12 Feb 2012 22:02:27 -0500

xppaut (6.11b+1-1) UNRELEASED; urgency=low

  * New upstream release
  * Fixed patches dropped 
  * menudrive.c patch fixed 

 -- Jakub Nowacki <j.s.nowacki@gmail.com>  Mon, 06 Feb 2012 21:48:57 +0000

xppaut (6.11b-1) UNRELEASED; urgency=low

  * New upstream release (fixed #216089, #448531)
  * Quilt related fixes: added debian/source/format and
    debian/README.source; minor fix to debian/changelog
  * Fixing lintian warning: debhelper-but-no-misc-depends
  * Application compiles and works well on 32 and 64-bits 
    (fixed #412102, #557980, #566495, #293517)
  * Patches removing unused macdirent.h and mkavi added
  * Not used files deleted; debian/copyright updated

 -- Jakub Nowacki <j.s.nowacki@gmail.com>  Sun, 30 Oct 2011 21:12:18 +0000

xppaut (6.11-1) UNRELEASED; urgency=low

  * New upstream release
  * Reviving from the dead (was removed from the archive, see
    #566638)
  * Switched to use dh7
  * Patches fixed or dropped if not needed
  * Adjusted debian/copyright to be DEP-5 compliant
  * Git-related fields added to debian/control

 -- Jakub Nowacki <j.s.nowacki@gmail.com>  Sat, 17 Sep 2011 22:45:11 +0100

xppaut (5.98-1) unstable; urgency=low

  * QA upload.
  * New upstream release. (Closes: #448531).
  * Move old source changes to quilt.
  * 050_manpage_section.diff - Fix manpage header entry for section 1.
  * Don't ship shared objects in /usr/share/doc/examples dir.
  * Watch file is OK. (Closes: #453576).
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 08 May 2009 15:51:50 -0400

xppaut (5.85-5) unstable; urgency=low

  * QA upload.
  * Makefile, Makefile.64: Let dh_strip do the stripping (honoring
    DEB_BUILD_OPTIONS=nostrip).  Closes: #438314.
  * debian/rules: Doh, `MAKE +=', not `$(MAKE) +='.  Closes: #412102.
  * debian/rules: Don't ignore errors from `$(MAKE) clean'.
  * debian/menu: Update section to Applications/Science/Mathematics.

 -- Matej Vela <vela@debian.org>  Tue, 21 Aug 2007 11:32:24 +0200

xppaut (5.85-4) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#419087); set maintainer to Debian QA Group.
  * Switch to debhelper 5.
  * Update build dependencies for modular X.  Closes: #419019.
    - Replace xlibs-data with xbitmaps.
    - Remove x-dev.
  * Makefile, Makefile.64: Fix bashism.
  * debian/menu: Add quotes to placate Lintian.
  * debian/rules:
    - Use perl to detect 64-bit machines.
    - Let dh_strip handle DEB_BUILD_OPTIONS=nostrip.
  * debian/watch: Fix pattern.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Sat, 28 Apr 2007 15:46:23 +0200

xppaut (5.85-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Implement alternative Makefile for 64 bit to fix
    segfaults on integration on amd64.(Closes: #412102)

 -- Neil Williams <codehelp@debian.org>  Wed, 28 Feb 2007 23:43:59 +0000

xppaut (5.85-3.2) unstable; urgency=low

  * Non-maintainer upload to help with xlibs-dev transition.
  * debian/control: Replace xlibs-dev build-dep. (Closes: #346836)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 17:12:37 +0100

xppaut (5.85-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.0 (missing #include of <errno.h>): Applied patch from
    Andreas Jochens <aj@andaco.de>. (closes: #306173)

 -- Rob Bradford <robster@debian.org>  Sat, 10 Sep 2005 00:51:41 +0100

xppaut (5.85-3) unstable; urgency=low

  * debian/doc-base
   - HTML help integrated with doc-base, closes: #222148
  * new maintainer

 -- Balbir Thomas <thomas.1037@osu.edu>  Thu,  5 Aug 2004 01:54:31 -0400

xppaut (5.85-2) unstable; urgency=low

  * debian/control
    - Updated to debhelper 4
    - Updated the standards version
  * debian/rules
    - Reordered some lines in the clean rule so stamps are removed first
    - cleaned up comments
    - removed debhelper commands that did nothing:
      - commented ones
      - dh_installexamples
      - dh_clean -k
      - dh_installcron
      - dh_installinfo
      - dh_installman
  * debian/dirs
      - removed empty /usr/sbin directory

 -- Isaac Jones <ijones@syntaxpolice.org>  Fri,  7 Nov 2003 22:52:01 -0500

xppaut (5.85-1) unstable; urgency=low

  * New upstream release, closes: #216089
  * Upstream Changelog: VERSION 5.85  July 2003
    - added crosscorrelation
    - fixed some bugs
    - added clone which sort of works
    - added postscript options like font size, font type, line width
  * And From VERSION 5.6   Sept 2002
    - added POISSON(t) function
    - nullclines in the animator

 -- Isaac Jones <ijones@syntaxpolice.org>  Sat, 18 Oct 2003 21:11:02 -0400

xppaut (5.57-1) unstable; urgency=low

  * New upstream release
  * Added some more information to the man page
  * Updated the standards version

 -- Isaac Jones <ijones@syntaxpolice.org>  Wed, 23 Apr 2003 22:46:07 -0400

xppaut (5.56-1) unstable; urgency=low

  * Initial Release.
  * Altered Makefile to add install target and DESTDIR
 -- Isaac Jones <ijones@syntaxpolice.org>  Mon,  20 October 2002 23:44:47 -0500

## xppaut 6.11b+1.dfsg

=== Makefile ===
# Copyright (C) 1990-2011 Bard Ermentrout & Daniel Dougherty
# Edited for Debian GNU/Linux.
#BINDIR = /usr/X11R6/bin
DESTDIR =
BINDIR = /usr/local/bin
DOCDIR = /usr/share/doc/xppaut
MANDIR = /usr/local/man/man1
# End Debian Edit
#################################
#
VERSION=6.11c
MAJORVER=6.0
MINORVER=11

ODES=ode/*.ode ode/*.ani
DOC=xpp_doc.ps xpp_doc.pdf xpp_sum.ps xpp_sum.pdf install.pdf
HELP=help/*.html
# Standard C compiler
#CC= cc
# Use Gnu compiler
#CC= gcc
# Use c99 to compile according to newer ISO C standards (IEEE Std 1003.1-2001)
CC= gcc -std=c99 -pedantic -D_XOPEN_SOURCE=600 -Wall  
#AUTLIBS=  -lsundials_cvode -lX11 -lm 
#These are the 32bit compat libraries.
AUTLIBS=  -lm 
#AUTLIBS= -lf2c -lsundials_cvode -lX11 -lm 
#OTHERLIBS= libcvode.a libf2cm.a 
#OTHERLIBS= 
#

################################## 
# Standard Linux distributions   #
##################################
#CFLAGS=   -g -O -DAUTO -DCVODE_YES -DHAVEDLL -DMYSTR1=$(MAJORVER) -DMYSTR2=$(MINORVER)  -I/usr/X11R6/include
#CFLAGS=   -g -O -m32 -DNON_UNIX_STDIO -DAUTO -DCVODE_YES  -DHAVEDLL -DMYSTR1=$(MAJORVER) -DMYSTR2=$(MINORVER)  -I/usr/X11R6/include
#CFLAGS=   -g -O -m64 -DNOERRNO -DNON_UNIX_STDIO -DAUTO -DCVODE_YES  -DHAVEDLL -DMYSTR1=$(MAJORVER) -DMYSTR2=$(MINORVER)  -I/usr/include/X11

CFLAGS= -g -pedantic -O -m32 -DNOERRNO -DNON_UNIX_STDIO -DAUTO -DCVODE_YES  -DHAVEDLL -DMYSTR1=$(MAJORVER) -DMYSTR2=$(MINORVER)  -I/usr/include/X11 
#LDFLAGS=  -m64 -L/usr/lib -L/usr/lib64
LDFLAGS=  -m32 -L/usr/X11R6/lib 
LIBS=  -lX11 -lm -ldl   
# NOTE: Recent (RedHat 8) versions of GCC seem to no longer have
# the integer errno, so compile with the -DNOERRNO option as well
#
# some errors with ctype on newer machines HP ITANIUM, eg can be fixed
# with the -DWCTYPE 
#
#   64 Bit machines must use a different parser code.
#   In the OBJECTS section, replace parser2.o with parserslow2.o
# it is not really that much slower so don't have a cow
#
#################################
# MACOSX                        #
#################################
#CFLAGS=   -g -O -DMACOSX -DAUTO -DCVODE_YES  -DMYSTR1=$(MAJORVER) -DMYSTR2=$(MINORVER) -I/usr/X11R6/include
# LIBS=  -lX11 -lm
# LDFLAGS=  -L/usr/X11R6/lib
#
#################################
# CYGWIN                        #
#################################
# CFLAGS=   -O -DBGR -DNON_UNIX_STDIO -DNORAND48 -DSTRUPR -DNOERRNO -DAUTO -DCVODE_YES -DMYSTR1=$(MAJORVER) -DMYSTR2=$(MINORVER)  -I/usr/X11R6/include
#LIBS= -lX11 -lm
#LDFLAGS= -L/usr/X11R6/lib 
#
#################################
# SPARC                         #
#################################
# CFLAGS=  -O -DAUTO  -DMYSTR1=$(MAJORVER) -DMYSTR2=$(MINORVER)  -DCVODE_YES -I/usr/openwin/include 
# LDFLAGS= -L/usr/openwin/lib
# LIBS= -lm -lX11 
#
################################
# SUNPro compiler              #
################################
# CFLAGS=  -O -DSUNPRO -DAUTO -DCVODE_YES  -I/usr/openwin/include
# LDFLAGS= -L/usr/openwin/lib
# LIBS= -lm -lX11 
#
################################
# SGI                          #
################################
#CFLAGS=   -g -O -DAUTO -DCVODE_YES  -DMYSTR1=$(MAJORVER) -DMYSTR2=$(MINORVER) -I/usr/X11R6/include
#  Old SGIs without gcc
# 
#CFLAGS= -cckr -O -DAUTO -DMYSTR1=$(MAJORVER) -DMYSTR2=$(MINORVER) -DCVODE_YES
# LDFLAGS=  -L/usr/X11R6/lib
# LIBS= -lm -lX11 
#
###############################
# HP                          #
###############################
#CFLAGS=   -g -O -DAUTO -DMYSTR1=$(MAJORVER) -DMYSTR2=$(MINORVER) -DCVODE_YES  -DHAVEDLL -I/usr/X11R6/include
# LDFLAGS=  -L/usr/X11R6/lib
# LIBS= -lm -lX11 -ldl
#
###############################
# DEC OSF                     #
###############################
#
#CFLAGS= -O -DAUTO -DCVODE_YES -DMYSTR1=$(MAJORVER) -DMYSTR2=$(MINORVER) -Olimit 1000
#
###############################################################  
#             You  can stop messing with it now, the rest is
#             probably OkeyDokey
###############################################################
HEADERS = abort.h comline.h extra.h kinescope.h newhome.h stiff.h\
	  adj2.h cvband.h f2c.h lio.h newpars.h storage.h\
	  aniparse_avi.h cvdense.h fftn.h llnlmath.h nullcline.h struct.h\
	  aniparse.h cvdiag.h fio.h llnltyps.h numerics.h sue.h\
	  arrayplot.h cvode.h flags.h load_eqn.h odesol2.h tabular.h\
	  array_print.h cvspgmr.h fmt.h local.h toons.h\
	  autevd.h dae_fun.h form_ode.h lread.h open.h torus.h\
	  autlib1.h delay_handle.h fp.h lunch-new.h parser.h txtread.h\
	  autlib2.h del_stab.h gear.h parserslow.h uio.h\
	  autlim.h dense.h getvar.h  phsplan.h userbut.h\
	  auto_define.h derived.h ggets.h main.h pop_list.h util.h\
	  auto.h dfe.h graf_par.h many_pops.h pp_shoot.h vector.h\
	  auto_nox.h diagram.h graphics.h markov.h rdfmt.h volterra2.h\
	  auto_x11.h dialog_box.h help_defs.h menudrive.h read_dir.h volterra.h\
	  axes2.h do_fit.h histogram.h menu.h rubber.h wref.h\
	  band.h dormpri.h homsup.h menus.h run_auto.h wrtfmt.h\
	  browse.h due.h iio.h myfonts.h scrngif.h wsfe.h\
	  calc.h edit_rhs.h init_conds.h mykeydef.h sfe.h wsne.h\
	  choice_box.h eig_list.h integrate.h my_pars.h shoot.h xpplim.h\
	  close.h endfile.h iterativ.h my_ps.h simplenet.h\
	  color.h err.h kbs.h my_rhs.h spgmr.h cv2.h

BITMAPS = aniwin.bitmap alert.bitmap bc.bitmap eqns.bitmap info.bitmap ic.bitmap pp.bitmap\
	  array.bitmap browse.bitmap equilib.bitmap lines.bitmap txtview.bitmap\
	  auto.bitmap delay.bitmap graph.bitmap param.bitmap filebrowse.bitmap

SOURCES = main.c ggets.c menu.c rubber.c derived.c init_condold.c \
	  many_pops.c pop_list.c graphics.c dialog_box.c \
	  numerics.c choice_box.c color.c init_conds.c \
	  browse.c kinescope.c  axes2.c abort.c \
	   parser2.c storage.c load_eqn.c lunch-new.c \
	  form_ode.c odesol2.c gear.c eig_list.c \
	  integrate.c delay_handle.c graf_par.c\
	  my_ps.c nullcline.c torus.c pp_shoot.c\
	  lunch.c calc.c adj2.c  my_rhs.c dormpri.c\
	  volterra2.c tabular.c markov.c histogram.c \
	  autlib1.c autlib2.c autlib3.c autevd.c run_auto.c autpp.c \
	  diagram.c auto.c flowkm.c comline.c edit_rhs.c do_fit.c \
	  flags.c del_stab.c stiff.c arrayplot.c array_print.c \
	  aniparse.c simplenet.c dae_fun.c read_dir.c  parserslow2.c \
	  kinescope_old.c fftn.c  extra.c funexample.c scrngif.c \
	  kinescope_avi.c aniparse_avi.c  nagroutines.c flowkm_small.c \
	  homsup.c txtread.c menudrive.c rtsafe.c vector.c userbut.c \
	  lbf_drive.c auto_nox.c auto_x11.c cli.c\
	  Version.c backspace.c dfe.c due.c iio.c inquire.c rewind.c rsfe.c \
	  rdfmt.c sue.c uio.c wsfe.c sfe.c fmt.c lio.c lread.c open.c \
	  close.c util.c endfile.c wrtfmt.c wref.c err.c fmtlib.c rsne.c wsne.c \
	  fc77.c f2cstart.c \
	  cvode.c  cvdense.c  dense.c  cvband.c \
	  band.c  cvdiag.c  cvspgmr.c  spgmr.c  \
	  iterativ.c  vector.c  llnlmath.c cv2.c \
	  mainold.c load_eqnold.c ggetsold.c comlineold.c
	  

          
#
# WARNING: For 64 bit machines replace parser2.o with parserslow2.o 
#          in the OBJECTS section!
#
OBJECTS = main.o ggets.o menu.o  rubber.o derived.o\
	many_pops.o  pop_list.o  graphics.o dialog_box.o \
	numerics.o choice_box.o color.o init_conds.o \
        browse.o kinescope.o axes2.o abort.o \
        parserslow2.o storage.o load_eqn.o\
	form_ode.o odesol2.o gear.o eig_list.o\
        integrate.o delay_handle.o graf_par.o dormpri.o\
	my_ps.o nullcline.o torus.o pp_shoot.o \
	lunch-new.o calc.o adj2.o  my_rhs.o read_dir.o\
        volterra2.o tabular.o markov.o histogram.o \
	comline.o edit_rhs.o do_fit.o flags.o del_stab.o stiff.o \
        arrayplot.o array_print.o aniparse.o simplenet.o dae_fun.o \
        fftn.o extra.o scrngif.o nagroutines.o homsup.o txtread.o \
        menudrive.o userbut.o \
	Version.o backspace.o dfe.o due.o iio.o inquire.o rewind.o rsfe.o \
	rdfmt.o sue.o uio.o wsfe.o sfe.o fmt.o lio.o lread.o open.o \
	close.o util.o endfile.o wrtfmt.o wref.o err.o fmtlib.o rsne.o wsne.o \
        fc77.o f2cstart.o \
	cvode.o  cvdense.o  dense.o  cvband.o \
        band.o  cvdiag.o  cvspgmr.o  spgmr.o  \
        iterativ.o  vector.o  llnlmath.o cv2.o
	
#If you are using sundials cvode libraries then you may comment out following above
#	cvode.o  cvdense.o  dense.o  cvband.o \
#        band.o  cvdiag.o  cvspgmr.o  spgmr.o  \
#        iterativ.o  vector.o  llnlmath.o cv2.o
 
LIB_OBJECTS = main.o ggets.o menu.o  rubber.o derived.o\
	many_pops.o  pop_list.o  graphics.o dialog_box.o \
	numerics.o choice_box.o color.o init_conds.o \
        browse.o kinescope.o axes2.o abort.o \
        parserslow2.o storage.o load_eqn.o\
	form_ode.o odesol2.o gear.o eig_list.o\
        integrate.o delay_handle.o graf_par.o dormpri.o\
	my_ps.o nullcline.o torus.o pp_shoot.o \
	lunch-new.o calc.o adj2.o read_dir.o\
        volterra2.o tabular.o markov.o histogram.o \
	comline.o edit_rhs.o do_fit.o flags.o del_stab.o stiff.o \
        arrayplot.o array_print.o aniparse.o simplenet.o dae_fun.o \
         fftn.o extra.o scrngif.o nagroutines.o homsup.o txtread.o \
        menudrive.o userbut.o 
AUTOOBJ = autlib1.o autlib2.o autlib3.o autevd.o run_auto.o autpp.o \
	diagram.o auto_nox.o auto_x11.o flowkm_small.o 
           
######################################################################
#
#
xppaut: $(OBJECTS) $(AUTOOBJ)
#
	#cd libI77 ; make
	#cd cvodesrc ; make
###########################################################
# Okay, here we go
#############################################
	#$(CC) -DAUTO -o xppaut $(OBJECTS) $(AUTOOBJ) $(LDFLAGS) $(LIBS) ./libf2cm.a ./libcvode.a
	#$(CC) -DAUTO -o xppaut $(OBJECTS) $(AUTOOBJ) $(LDFLAGS) $(LIBS)  ./libcvode.a
########################################################
########################################################
# Probably never need this but here it is
###########################################################
##  shared library method - delete my_fun.o from OBJECTS
#	$(CC) -DAUTO -o xppaut $(OBJECTS) $(AUTOOBJ) $(LDFLAGS) libcvode.a libf2cm.a libmyfun.so $(LIBS) 	
####  You made your own libraries but installed locally (2)
#	$(CC) -DAUTO -o xppaut $(OBJECTS) $(AUTOOBJ) $(LDFLAGS) libcvode.a libI77.a libF77.a $(LIBS) 	
##
####  You have previously installed the f2c libraries
	#$(CC) -DAUTO -o xppaut $(OBJECTS) $(AUTOOBJ) $(LDFLAGS) $(LIBS) libcvode.a $(AUTLIBS) 
#  
####  You have previously installed the f2c libraries and sundials
#	 $(CC) -DAUTO -o xppaut $(OBJECTS) $(AUTOOBJ) $(LDFLAGS) $(LIBS) $(AUTLIBS) 
####  You have previously installed the sundials
	 #$(CC) -DAUTO -o xppaut $(OBJECTS) $(AUTOOBJ) $(LDFLAGS) $(LIBS) $(AUTLIBS) ./libf2cm.a
	 
	 $(CC) -DAUTO -o xppaut $(OBJECTS) $(AUTOOBJ) $(LDFLAGS) $(LIBS) $(AUTLIBS)

#   
# 
###################################################################
################################################################
mkmyfun:
	make -f Makefile.lib
mkI77:
	cd libI77 ; make
mkcvode:
	cd cvodesrc ; make
mkmkavi:
	cd mkavi ; make
#
# Edited for Debian GNU/Linux.
install: xppaut 
# Make necessary installation directories
	mkdir -p $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(DOCDIR)/html
	mkdir -p $(DESTDIR)$(DOCDIR)/examples
	mkdir -p $(DESTDIR)$(DOCDIR)/xbm
	#mkdir -p /usr/X11R6/man/man1
	mkdir -p $(DESTDIR)$(MANDIR)
# Put everything home
	strip xppaut
	install -m 755 xppaut $(DESTDIR)$(BINDIR)
	cp -r ode* $(DESTDIR)$(DOCDIR)/examples
	cp -r help/* $(DESTDIR)$(DOCDIR)/html
	cp README *.pdf $(DESTDIR)$(DOCDIR)
	cp *.xbm $(DESTDIR)$(DOCDIR)/xbm 
	
	cp xppaut.1 $(DESTDIR)$(MANDIR)
	
# End Debian Ed
uninstall: 
# Remove everything you created
	rm $(DESTDIR)$(BINDIR)/xppaut
	rm -r $(DESTDIR)$(DOCDIR)
	rm -r $(DESTDIR)$(MANDIR)/xppaut.1
# End Debian Ed
##################################################
#    Make s stand alone library -must link your rhs
###################################################
xpplib: $(LIB_OBJECTS) $(AUTOOBJ)
	(ar rcv libxpp.a $(LIB_OBJECTS) $(AUTOOBJ) cvodesrc/*.o  ; ranlib libxpp.a)
	#(ar rcv libxpp.a $(LIB_OBJECTS) $(AUTOOBJ) cvodesrc/*.o libI77/*.o ; ranlib libxpp.a)
####################################################

=== debian/changelog ===
xppaut (6.11b+1.dfsg-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:52:55 +0000

=== debian/control ===
Source: xppaut
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jakub Nowacki <j.s.nowacki@gmail.com>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7), quilt, libx11-dev, xbitmaps
Standards-Version: 3.9.2
Vcs-Git: git://github.com/neurodebian/pkg-xppaut.git
Vcs-browser: https://github.com/neurodebian/pkg-xppaut
Homepage: http://www.math.pitt.edu/~bard/xpp/xpp.html


Package: xppaut
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Phase Plane Plus Auto: Solves many kinds of equations
 XPPAUT is a tool for solving
    * differential equations,
    * difference equations,
    * delay equations,
    * functional equations,
    * boundary value problems, and
    * stochastic equations.
 .
 The code brings together a number of useful algorithms and is
 extremely portable. All the graphics and interface are written
 completely in Xlib which explains the somewhat idiosyncratic and
 primitive widgets interface.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.

%:
	dh $@

## xppaut 8.0%2Bdfsg

=== debian/watch ===
version=4

opts="dversionmangle=s/.dfsg$//,repacksuffix=+dfsg" \
  https://sites.pitt.edu/~phase/bard/bardware/xpp/xpp.html .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

#opts="dversionmangle=s/.dfsg$//,repacksuffix=+dfsg,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#   https://github.com/Ermentrout/xppaut/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

# Ask in issue https://github.com/Ermentrout/xppaut/issues/17 for tags
